%define srcname keybinder

%define major 0
%define libname %mklibname %srcname %major
%define develname %mklibname -d %srcname

Summary:	A library for registering global keyboard shortcuts
Name:		keybinder
Version:	0.3.0
Release:	%mkrel 2
Url:		http://kaizer.se/wiki/keybinder/
Source0:	http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	python-devel  
BuildRequires:	%{_lib}lua5.1-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-gobject-devel

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder works
with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Lua bindings, lua-keybinder
- Python bindings, python-keybinder
- An examples directory with programs in C, Lua, Python and Vala.

%package -n %libname
Group:		Development/Python
Summary:	%{name} library package

%description -n %libname
%summary.

%package -n %develname
Group:		Development/Python
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%package -n python-%{srcname}
Group:		Development/Python
Summary:	%{name} python bindings
Requires:	%{libname} = %{version}
Requires:	pygtk2.0 python-gobject

%description -n python-%{srcname}
This package contains python bindings for keybinder.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static --enable-python
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/lua/5.1/*.la
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS AUTHORS README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libkeybinder.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/keybinder.h
%{_libdir}/lua/*/keybinder.so
%{_libdir}/libkeybinder.so
%{_libdir}/pkgconfig/keybinder.pc
%{_libdir}/girepository-1.0/Keybinder-0.0.typelib
%{_datadir}/gir-1.0/Keybinder-0.0.gir
%{_datadir}/gtk-doc/html/*

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/%{name}


%changelog
* Sun Aug 18 2013 billybot <billybot> 0.3.0-2pclos2013
- update python 2.7

* Wed Jan 09 2013 Ken <lxgator at gmail.com> 0.3.0-1pclos2013
- 0.3.0

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.2.2-1pclos2012
- create

